WordPress.org

Ready to get started?Download WordPress

Codex

it:Hostare WordPress

Molti provider di hosting e installazioni personali su sistemi Unix/Linux dovrebbero poter hostare WordPress tramite configurazioni molto comuni.

Requisiti del Server

  • Requisiti del server per la Versione 3.2 di WordPress:
    • la versione 5.2.4 o superiore di PHP
    • la versione 5.0.15 o superiore di MySQL
    • (Opzionale)(Richiesto per il MultiSito) il modulo mod_rewrite di Apache (per URI puliti conosciuti come Permalink)

» Requisiti per le Versioni Precedenti

Installazione Consigliata

Si consiglia di usare una piattaforma robusta che includa il sistema operativo Linux, e il web-server Apache o NGINX. Quasi tutti i server che supportano PHP e MySQL funzioneranno. Se il tuo host non supporta una di queste piattaforme, e il mod_rewrite, probabilmente sarà meglio passare a uno dei tanti provider di hosting che offrono queste scelte.

È anche essenziale che il tuo host permetta le connessioni remote, perché molte delle funzioni di WordPress funzionino. Se il tuo host blocca le connessioni HTTP in uscita, molte parti di WordPress non funzioneranno.

Provider di Hosting

L'hosting, ormai, è alla portata di tutti e girando un po' è facile trovare un host che soddisfi i requisiti indicati prima. Se cerchi suggerimenti su un host, perfavore prova guardando: